curl --request GET \
--url https://api.aisa.one/apis/v1/fred/source/releases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/source/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/source/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/source/releases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/source/releases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/source/releases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/source/releases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<releases realtime_start="2013-08-14" realtime_end="2013-08-14" order_by="release_id" sort_order="asc" count="26" offset="0" limit="1000">
<release id="13" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.17 Industrial Production and Capacity Utilization" press_release="true" link="http://www.federalreserve.gov/releases/g17/"/>
<release id="14" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.19 Consumer Credit" press_release="true" link="http://www.federalreserve.gov/releases/g19/"/>
<release id="15" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.5 Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/g5/"/>
<release id="17" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.10 Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/h10/"/>
<release id="18" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.15 Selected Interest Rates" press_release="true" link="http://www.federalreserve.gov/releases/h15/"/>
<release id="19" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.3 Aggregate Reserves of Depository Institutions and the Monetary Base" press_release="true" link="http://www.federalreserve.gov/releases/h3/"/>
<release id="20" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.4.1 Factors Affecting Reserve Balances" press_release="true" link="http://www.federalreserve.gov/releases/h41/"/>
<release id="21" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.6 Money Stock Measures" press_release="true" link="http://www.federalreserve.gov/releases/h6/"/>
<release id="22" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.8 Assets and Liabilities of Commercial Banks in the United States" press_release="true" link="http://www.federalreserve.gov/releases/h8/"/>
<release id="52" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Z.1 Flow of Funds Accounts of the United States" press_release="true" link="http://www.federalreserve.gov/releases/z1/"/>
<release id="86" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Commercial Paper Outstanding" press_release="true" link="http://www.federalreserve.gov/releases/cp/"/>
<release id="89" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Household Debt Service and Financial Obligations Ratios" press_release="true" link="http://federalreserve.gov/releases/housedebt/"/>
<release id="101" realtime_start="2013-08-14" realtime_end="2013-08-14" name="FOMC Press Release" press_release="true" link="http://www.federalreserve.gov/fomc/"/>
<release id="103" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Discount Rate Meeting Minutes" press_release="true" link="http://www.federalreserve.gov/monetarypolicy/discountrate.htm"/>
<release id="104" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Federal Reserve Bulletin" press_release="true" link="http://www.federalreserve.gov/pubs/bulletin/"/>
<release id="106" realtime_start="2013-08-14" realtime_end="2013-08-14" name="M2 Own Rate" press_release="false"/>
<release id="121" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.6 Historical Data" press_release="false" link="http://www.federalreserve.gov/releases/h6/hist/"/>
<release id="122" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.4.1 Factors Affecting Reserve Balances (data not included in press release)" press_release="false"/>
<release id="131" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.13 Selected Interest Rates" press_release="true" link="http://federalreserve.gov/releases/g13/" notes="With the issue dated January 8, 2002 (containing data for December 2001), the Federal Reserve ceased publication of the monthly G.13 statistical release. Monthly interest rates continue to be available on the H.15 release."/>
<release id="170" realtime_start="2013-08-14" realtime_end="2013-08-14" name="U.S. Foreign Exchange Intervention" press_release="false"/>
<release id="185" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Interest on Required Balances and Excess Balances" press_release="false" link="http://www.federalreserve.gov/monetarypolicy/reqresbalances.htm"/>
<release id="186" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.5A Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/g5a/"/>
<release id="191" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Senior Loan Officer Opinion Survey on Bank Lending Practices" press_release="true" link="http://www.federalreserve.gov/boarddocs/SnLoanSurvey/" notes="For further information, please refer to the Board of Governors of the Federal Reserve System's Senior Loan Officer Opinion Survey on Bank Lending Practices release, online at http://www.federalreserve.gov/boarddocs/SnLoanSurvey/."/>
<release id="216" realtime_start="2013-08-14" realtime_end="2013-08-14" name="E.2 Survey of Terms of Business Lending" press_release="true" link="http://www.federalreserve.gov/releases/e2/" notes="These data are collected during the middle month of each quarter and are released in the middle of the succeeding month."/>
<release id="231" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Charge-Off and Delinquency Rates on Loans and Leases at Commercial Banks" press_release="true" link="http://www.federalreserve.gov/releases/chargeoff/default.htm"/>
<release id="245" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Summary Measures of the Foreign Exchange Value of the Dollar" press_release="true" link="http://www.federalreserve.gov/releases/h10/summary/default.htm"/>
</releases>Get Source Releases
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/source/releases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/source/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/source/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/source/releases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/source/releases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/source/releases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/source/releases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<releases realtime_start="2013-08-14" realtime_end="2013-08-14" order_by="release_id" sort_order="asc" count="26" offset="0" limit="1000">
<release id="13" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.17 Industrial Production and Capacity Utilization" press_release="true" link="http://www.federalreserve.gov/releases/g17/"/>
<release id="14" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.19 Consumer Credit" press_release="true" link="http://www.federalreserve.gov/releases/g19/"/>
<release id="15" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.5 Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/g5/"/>
<release id="17" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.10 Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/h10/"/>
<release id="18" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.15 Selected Interest Rates" press_release="true" link="http://www.federalreserve.gov/releases/h15/"/>
<release id="19" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.3 Aggregate Reserves of Depository Institutions and the Monetary Base" press_release="true" link="http://www.federalreserve.gov/releases/h3/"/>
<release id="20" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.4.1 Factors Affecting Reserve Balances" press_release="true" link="http://www.federalreserve.gov/releases/h41/"/>
<release id="21" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.6 Money Stock Measures" press_release="true" link="http://www.federalreserve.gov/releases/h6/"/>
<release id="22" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.8 Assets and Liabilities of Commercial Banks in the United States" press_release="true" link="http://www.federalreserve.gov/releases/h8/"/>
<release id="52" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Z.1 Flow of Funds Accounts of the United States" press_release="true" link="http://www.federalreserve.gov/releases/z1/"/>
<release id="86" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Commercial Paper Outstanding" press_release="true" link="http://www.federalreserve.gov/releases/cp/"/>
<release id="89" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Household Debt Service and Financial Obligations Ratios" press_release="true" link="http://federalreserve.gov/releases/housedebt/"/>
<release id="101" realtime_start="2013-08-14" realtime_end="2013-08-14" name="FOMC Press Release" press_release="true" link="http://www.federalreserve.gov/fomc/"/>
<release id="103" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Discount Rate Meeting Minutes" press_release="true" link="http://www.federalreserve.gov/monetarypolicy/discountrate.htm"/>
<release id="104" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Federal Reserve Bulletin" press_release="true" link="http://www.federalreserve.gov/pubs/bulletin/"/>
<release id="106" realtime_start="2013-08-14" realtime_end="2013-08-14" name="M2 Own Rate" press_release="false"/>
<release id="121" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.6 Historical Data" press_release="false" link="http://www.federalreserve.gov/releases/h6/hist/"/>
<release id="122" realtime_start="2013-08-14" realtime_end="2013-08-14" name="H.4.1 Factors Affecting Reserve Balances (data not included in press release)" press_release="false"/>
<release id="131" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.13 Selected Interest Rates" press_release="true" link="http://federalreserve.gov/releases/g13/" notes="With the issue dated January 8, 2002 (containing data for December 2001), the Federal Reserve ceased publication of the monthly G.13 statistical release. Monthly interest rates continue to be available on the H.15 release."/>
<release id="170" realtime_start="2013-08-14" realtime_end="2013-08-14" name="U.S. Foreign Exchange Intervention" press_release="false"/>
<release id="185" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Interest on Required Balances and Excess Balances" press_release="false" link="http://www.federalreserve.gov/monetarypolicy/reqresbalances.htm"/>
<release id="186" realtime_start="2013-08-14" realtime_end="2013-08-14" name="G.5A Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/g5a/"/>
<release id="191" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Senior Loan Officer Opinion Survey on Bank Lending Practices" press_release="true" link="http://www.federalreserve.gov/boarddocs/SnLoanSurvey/" notes="For further information, please refer to the Board of Governors of the Federal Reserve System's Senior Loan Officer Opinion Survey on Bank Lending Practices release, online at http://www.federalreserve.gov/boarddocs/SnLoanSurvey/."/>
<release id="216" realtime_start="2013-08-14" realtime_end="2013-08-14" name="E.2 Survey of Terms of Business Lending" press_release="true" link="http://www.federalreserve.gov/releases/e2/" notes="These data are collected during the middle month of each quarter and are released in the middle of the succeeding month."/>
<release id="231" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Charge-Off and Delinquency Rates on Loans and Leases at Commercial Banks" press_release="true" link="http://www.federalreserve.gov/releases/chargeoff/default.htm"/>
<release id="245" realtime_start="2013-08-14" realtime_end="2013-08-14" name="Summary Measures of the Foreign Exchange Value of the Dollar" press_release="true" link="http://www.federalreserve.gov/releases/h10/summary/default.htm"/>
</releases>Request contract
- Method and path: GET /apis/v1/fred/source/releases
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/fred/source/releases
- file_type: query; optional
- limit: query; optional
- offset: query; optional
- order_by: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- sort_order: query; optional
- source_id: query; required
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_fred_source_releases",
"method": "GET",
"path": "/apis/v1/fred/source/releases",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "file_type",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"xml",
"json"
],
"default": "xml"
},
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 1000,
"default": 1000
},
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"name": "offset",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 0,
"default": 0
},
"description": "non-negative integer, optional, default: 0",
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"name": "order_by",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"release_id",
"name",
"press_release",
"realtime_start",
"realtime_end"
],
"default": "release_id"
},
"description": "Order results by values of the specified attribute.\nOne of the following strings: 'release_id', 'name', 'press_release', 'realtime_start', 'realtime_end'.\noptional, default: release_id",
"x-aisa-reference-declarations": [
"One of the following strings: 'release_id', 'name', 'press_release', 'realtime_start', 'realtime_end'.",
"optional, default: release_id"
]
},
{
"name": "realtime_end",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "realtime_start",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "sort_order",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"asc",
"desc"
],
"default": "asc"
},
"description": "Sort results is ascending or descending order for attribute values specified by order_by.\nOne of the following strings: 'asc', 'desc'.\noptional, default: asc",
"x-aisa-reference-declarations": [
"One of the following strings: 'asc', 'desc'.",
"optional, default: asc"
]
},
{
"name": "source_id",
"in": "query",
"required": true,
"schema": {
"type": "integer"
},
"description": "The id for a source.\ninteger, required",
"x-aisa-reference-declarations": [
"integer, required"
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json The maximum number of results to return. integer between 1 and 1000, optional, default: 1000
1 <= x <= 1000non-negative integer, optional, default: 0
x >= 0Order results by values of the specified attribute. One of the following strings: 'release_id', 'name', 'press_release', 'realtime_start', 'realtime_end'. optional, default: release_id
release_id, name, press_release, realtime_start, realtime_end The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: asc
asc, desc The id for a source. integer, required
Response
Official representation and examples only; no complete response schema is declared.